"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _List = _interopRequireDefault(require("@material-ui/icons/List"));

var _reactRouterDom = require("react-router-dom");

var _Button = _interopRequireDefault(require("./Button"));

var ListButton = function ListButton(_ref) {
  var _ref$basePath = _ref.basePath,
      basePath = _ref$basePath === void 0 ? '' : _ref$basePath,
      _ref$label = _ref.label,
      label = _ref$label === void 0 ? 'ra.action.list' : _ref$label,
      icon = _ref.icon,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["basePath", "label", "icon"]);
  return _react.default.createElement(_Button.default, (0, _extends2.default)({
    tag: _reactRouterDom.Link,
    to: basePath,
    label: label
  }, rest), icon);
};

ListButton.propTypes = {
  basePath: _propTypes.default.string,
  label: _propTypes.default.string,
  icon: _propTypes.default.element
};
ListButton.defaultProps = {
  icon: _react.default.createElement(_List.default, null)
};
var _default = ListButton;
exports.default = _default;
module.exports = exports.default;