"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactRedux = require("react-redux");

var _Refresh = _interopRequireDefault(require("@material-ui/icons/Refresh"));

var _raCore = require("ra-core");

var _Button = _interopRequireDefault(require("./Button"));

var RefreshButton = function (_Component) {
  (0, _inherits2.default)(RefreshButton, _Component);

  function RefreshButton() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, RefreshButton);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(RefreshButton)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(_this), "handleClick", function (event) {
      var _this$props = _this.props,
          refreshView = _this$props.refreshView,
          onClick = _this$props.onClick;
      event.preventDefault();
      refreshView();

      if (typeof onClick === 'function') {
        onClick();
      }
    });
    return _this;
  }

  (0, _createClass2.default)(RefreshButton, [{
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          label = _this$props2.label,
          refreshView = _this$props2.refreshView,
          icon = _this$props2.icon,
          rest = (0, _objectWithoutProperties2.default)(_this$props2, ["label", "refreshView", "icon"]);
      return _react.default.createElement(_Button.default, (0, _extends2.default)({
        label: label,
        onClick: this.handleClick,
        color: "success"
      }, rest), icon);
    }
  }]);
  return RefreshButton;
}(_react.Component);

(0, _defineProperty2.default)(RefreshButton, "propTypes", {
  label: _propTypes.default.string,
  refreshView: _propTypes.default.func.isRequired,
  icon: _propTypes.default.element
});
(0, _defineProperty2.default)(RefreshButton, "defaultProps", {
  label: 'ra.action.refresh',
  icon: _react.default.createElement(_Refresh.default, null)
});
var enhance = (0, _reactRedux.connect)(null, {
  refreshView: _raCore.refreshView
});

var _default = enhance(RefreshButton);

exports.default = _default;
module.exports = exports.default;