"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.EditViewGuesser = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _inflection = _interopRequireDefault(require("inflection"));

var _raCore = require("ra-core");

var _Edit = require("./Edit");

var _editFieldTypes = _interopRequireDefault(require("./editFieldTypes"));

var EditViewGuesser = function (_Component) {
  (0, _inherits2.default)(EditViewGuesser, _Component);

  function EditViewGuesser() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, EditViewGuesser);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(EditViewGuesser)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(_this), "state", {
      inferredChild: null
    });
    return _this;
  }

  (0, _createClass2.default)(EditViewGuesser, [{
    key: "componentDidUpdate",
    value: function componentDidUpdate() {
      var _this$props = this.props,
          record = _this$props.record,
          resource = _this$props.resource;

      if (record && !this.state.inferredChild) {
        var inferredElements = (0, _raCore.getElementsFromRecords)([record], _editFieldTypes.default);
        var inferredChild = new _raCore.InferredElement(_editFieldTypes.default.form, null, inferredElements);
        process.env.NODE_ENV !== 'production' && console.log("Guessed Edit:\n\nexport const ".concat(_inflection.default.capitalize(_inflection.default.singularize(resource)), "Edit = props => (\n    <Edit {...props}>\n").concat(inferredChild.getRepresentation(), "\n    </Edit>\n);"));
        this.setState({
          inferredChild: inferredChild.getElement()
        });
      }
    }
  }, {
    key: "render",
    value: function render() {
      return _react.default.createElement(_Edit.EditView, this.props, this.state.inferredChild);
    }
  }]);
  return EditViewGuesser;
}(_react.Component);

exports.EditViewGuesser = EditViewGuesser;
EditViewGuesser.propTypes = _Edit.EditView.propTypes;

var EditGuesser = function EditGuesser(props) {
  return _react.default.createElement(_raCore.EditController, props, function (controllerProps) {
    return _react.default.createElement(EditViewGuesser, (0, _extends2.default)({}, props, controllerProps));
  });
};

var _default = EditGuesser;
exports.default = _default;