"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ShowViewGuesser = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _inflection = _interopRequireDefault(require("inflection"));

var _raCore = require("ra-core");

var _Show = require("./Show");

var _showFieldTypes = _interopRequireDefault(require("./showFieldTypes"));

var ShowViewGuesser = function (_Component) {
  (0, _inherits2.default)(ShowViewGuesser, _Component);

  function ShowViewGuesser() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, ShowViewGuesser);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(ShowViewGuesser)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(_this), "state", {
      inferredChild: null
    });
    return _this;
  }

  (0, _createClass2.default)(ShowViewGuesser, [{
    key: "componentDidUpdate",
    value: function componentDidUpdate() {
      var _this$props = this.props,
          record = _this$props.record,
          resource = _this$props.resource;

      if (record && !this.state.inferredChild) {
        var inferredElements = (0, _raCore.getElementsFromRecords)([record], _showFieldTypes.default);
        var inferredChild = new _raCore.InferredElement(_showFieldTypes.default.show, null, inferredElements);
        process.env.NODE_ENV !== 'production' && console.log("Guessed Show:\n\nexport const ".concat(_inflection.default.capitalize(_inflection.default.singularize(resource)), "Show = props => (\n    <Show {...props}>\n").concat(inferredChild.getRepresentation(), "\n    </Show>\n);"));
        this.setState({
          inferredChild: inferredChild.getElement()
        });
      }
    }
  }, {
    key: "render",
    value: function render() {
      return _react.default.createElement(_Show.ShowView, this.props, this.state.inferredChild);
    }
  }]);
  return ShowViewGuesser;
}(_react.Component);

exports.ShowViewGuesser = ShowViewGuesser;
ShowViewGuesser.propTypes = _Show.ShowView.propTypes;

var ShowGuesser = function ShowGuesser(props) {
  return _react.default.createElement(_raCore.ShowController, props, function (controllerProps) {
    return _react.default.createElement(ShowViewGuesser, (0, _extends2.default)({}, props, controllerProps));
  });
};

var _default = ShowGuesser;
exports.default = _default;