"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var AppBar = _styledComponents.default.header.withConfig({
  displayName: "AppBar",
  componentId: "rat0i4-0"
})(["", ""], function (props) {
  return "\n  position: static;\n  top: 0;\n  right: 0;\n  left: 0;\n  padding: ".concat(props.theme.raUiBootstrapStyled['$appbar-padding-y'], " ").concat(props.theme.raUiBootstrapStyled['$appbar-padding-x'], ";\n  display: flex;\n  align-items: center;\n  z-index: ").concat(props.theme.raUiBootstrapStyled['$zindex-appbar'], ";\n  box-sizing: border-box;\n  flex-shrink: 0;\n  flex-direction: row;\n  color: ").concat(props.theme.raUiBootstrapStyled['$appbar-color'], ";\n  background: ").concat(props.theme.raUiBootstrapStyled['$appbar-bg-color'], ";\n");
});

var defaultProps = {
  theme: {
    raUiBootstrapStyled: {
      '$appbar-padding-y': '.75rem',
      '$appbar-padding-x': '.25rem',
      '$zindex-appbar': '1000',
      '$appbar-color': '#fff',
      '$appbar-bg-color': '#0275d8'
    }
  }
};
AppBar.defaultProps = defaultProps;
var _default = AppBar;
exports.default = _default;
module.exports = exports.default;