"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ChipField = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _get = _interopRequireDefault(require("lodash/get"));

var _pure = _interopRequireDefault(require("recompose/pure"));

var _Badge = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Badge"));

var _classnames = _interopRequireDefault(require("classnames"));

var _sanitizeRestProps = _interopRequireDefault(require("./sanitizeRestProps"));

var ChipField = function ChipField(_ref) {
  var className = _ref.className,
      source = _ref.source,
      _ref$record = _ref.record,
      record = _ref$record === void 0 ? {} : _ref$record,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["className", "source", "record"]);
  return _react.default.createElement(_Badge.default, (0, _extends2.default)({
    className: (0, _classnames.default)('m-1', className)
  }, (0, _sanitizeRestProps.default)(rest)), (0, _get.default)(record, source));
};

exports.ChipField = ChipField;
ChipField.propTypes = {
  className: _propTypes.default.string,
  elStyle: _propTypes.default.object,
  sortBy: _propTypes.default.string,
  source: _propTypes.default.string.isRequired,
  record: _propTypes.default.object
};
ChipField.displayName = 'ChipField';
var PureChipField = (0, _pure.default)(ChipField);
var _default = PureChipField;
exports.default = _default;