"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _pure = _interopRequireDefault(require("recompose/pure"));

var _sanitizeRestProps = _interopRequireDefault(require("./sanitizeRestProps"));

var FunctionField = function FunctionField(_ref) {
  var className = _ref.className,
      _ref$record = _ref.record,
      record = _ref$record === void 0 ? {} : _ref$record,
      source = _ref.source,
      render = _ref.render,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["className", "record", "source", "render"]);
  return record ? _react.default.createElement("span", (0, _extends2.default)({
    className: className
  }, (0, _sanitizeRestProps.default)(rest)), render(record, source)) : null;
};

FunctionField.propTypes = {
  addLabel: _propTypes.default.bool,
  basePath: _propTypes.default.string,
  className: _propTypes.default.string,
  cellClassName: _propTypes.default.string,
  headerClassName: _propTypes.default.string,
  label: _propTypes.default.string,
  render: _propTypes.default.func.isRequired,
  record: _propTypes.default.object,
  sortBy: _propTypes.default.string,
  source: _propTypes.default.string
};
var PureFunctionField = (0, _pure.default)(FunctionField);
PureFunctionField.defaultProps = {
  addLabel: true
};
var _default = PureFunctionField;
exports.default = _default;
module.exports = exports.default;