"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.FormInput = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Labeled = _interopRequireDefault(require("../input/Labeled"));

var sanitizeRestProps = function sanitizeRestProps(_ref) {
  var basePath = _ref.basePath,
      record = _ref.record,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["basePath", "record"]);
  return rest;
};

var FormInput = function FormInput(_ref2) {
  var input = _ref2.input,
      rest = (0, _objectWithoutProperties2.default)(_ref2, ["input"]);
  return input ? _react.default.createElement("div", {
    className: (0, _classnames.default)('ra-input', "ra-input-".concat(input.props.source), input.props.formClassName)
  }, input.props.addLabel ? _react.default.createElement(_Labeled.default, (0, _extends2.default)({
    id: input.props.id || input.props.source
  }, input.props, sanitizeRestProps(rest)), _react.default.cloneElement(input, (0, _objectSpread2.default)({
    className: input.props.className,
    id: input.props.id || input.props.source
  }, rest))) : _react.default.cloneElement(input, (0, _objectSpread2.default)({
    className: input.props.className,
    id: input.props.id || input.props.source
  }, rest))) : null;
};

exports.FormInput = FormInput;
FormInput.propTypes = {
  className: _propTypes.default.string,
  input: _propTypes.default.object
};
FormInput.displayName = 'FormInput';
var _default = FormInput;
exports.default = _default;