"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _TextField = _interopRequireDefault(require("@material-ui/core/TextField"));

var ReferenceError = function ReferenceError(_ref) {
  var label = _ref.label,
      error = _ref.error;
  return _react.default.createElement(_TextField.default, {
    error: true,
    disabled: true,
    label: label,
    value: error,
    margin: "normal"
  });
};

ReferenceError.propTypes = {
  error: _propTypes.default.string.isRequired,
  label: _propTypes.default.string.isRequired
};
var _default = ReferenceError;
exports.default = _default;
module.exports = exports.default;