"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactRedux = require("react-redux");

var _AppBar = _interopRequireDefault(require("@material-ui/core/AppBar"));

var _Toolbar = _interopRequireDefault(require("@material-ui/core/Toolbar"));

var _IconButton = _interopRequireDefault(require("@material-ui/core/IconButton"));

var _Menu = _interopRequireDefault(require("@material-ui/icons/Menu"));

var _compose = _interopRequireDefault(require("recompose/compose"));

var _raCore = require("ra-core");

var _LoadingIndicator = _interopRequireDefault(require("./LoadingIndicator"));

var AppBarMobile = function AppBarMobile(_ref) {
  var className = _ref.className,
      title = _ref.title,
      toggleSidebar = _ref.toggleSidebar,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["className", "title", "toggleSidebar"]);

  if (process.env.NODE_ENV !== 'production') {
    console.warn('<AppBarMobile> is deprecated, please use <AppBar>, which is now responsive');
  }

  return _react.default.createElement(_AppBar.default, (0, _extends2.default)({
    className: className,
    color: "secondary",
    position: "fixed"
  }, rest), _react.default.createElement(_Toolbar.default, null, _react.default.createElement(_IconButton.default, {
    color: "inherit",
    "aria-label": "open drawer",
    onClick: toggleSidebar
  }, _react.default.createElement(_Menu.default, null)), _react.default.createElement("h1", null, title), _react.default.createElement(_LoadingIndicator.default, null)));
};

AppBarMobile.propTypes = {
  className: _propTypes.default.string,
  title: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.element]).isRequired,
  toggleSidebar: _propTypes.default.func.isRequired
};
var enhance = (0, _compose.default)((0, _reactRedux.connect)(null, {
  toggleSidebar: _raCore.toggleSidebar
}));

var _default = enhance(AppBarMobile);

exports.default = _default;
module.exports = exports.default;