"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var ActionsWrapper = _styledComponents.default.div.withConfig({
  displayName: "CardActions__ActionsWrapper",
  componentId: "sc-8l8gub-0"
})(["z-index:2;display:flex;align-items:flex-start;justify-content:flex-end;flex-wrap:wrap;padding:0;"]);

var CardActions = function CardActions(_ref) {
  var className = _ref.className,
      children = _ref.children,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["className", "children"]);
  return _react.default.createElement(ActionsWrapper, (0, _extends2.default)({
    className: className
  }, rest), children);
};

CardActions.propTypes = {
  children: _propTypes.default.node,
  className: _propTypes.default.string
};
var _default = CardActions;
exports.default = _default;
module.exports = exports.default;