"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Dashboard = _interopRequireDefault(require("@material-ui/icons/Dashboard"));

var _raCore = require("ra-core");

var _MenuItemLink = _interopRequireDefault(require("./MenuItemLink"));

var DashboardMenuItem = function DashboardMenuItem(_ref) {
  var className = _ref.className,
      onClick = _ref.onClick,
      translate = _ref.translate,
      props = (0, _objectWithoutProperties2.default)(_ref, ["className", "onClick", "translate"]);
  return _react.default.createElement(_MenuItemLink.default, (0, _extends2.default)({
    onClick: onClick,
    to: "/",
    primaryText: translate('ra.page.dashboard'),
    leftIcon: _react.default.createElement(_Dashboard.default, null),
    exact: true
  }, props));
};

DashboardMenuItem.propTypes = {
  className: _propTypes.default.string,
  onClick: _propTypes.default.func,
  translate: _propTypes.default.func.isRequired
};

var _default = (0, _raCore.translate)(DashboardMenuItem);

exports.default = _default;
module.exports = exports.default;