"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactHeadroom = _interopRequireDefault(require("react-headroom"));

var defaultStyle = {
  position: 'fixed',
  zIndex: 1300
};

var HeadroomCustom = function HeadroomCustom(_ref) {
  var children = _ref.children;
  return _react.default.createElement(_reactHeadroom.default, {
    style: defaultStyle
  }, children);
};

HeadroomCustom.propTypes = {
  children: _propTypes.default.node.isRequired
};
var _default = HeadroomCustom;
exports.default = _default;
module.exports = exports.default;