"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.MenuItemLink = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _reactRouterDom = require("react-router-dom");

var _ListGroupItem = _interopRequireDefault(require("@bootstrap-styled/v4/lib/ListGroup/ListGroupItem"));

var _reactFontawesome = require("@fortawesome/react-fontawesome");

var MenuItemLink = function (_Component) {
  (0, _inherits2.default)(MenuItemLink, _Component);

  function MenuItemLink() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, MenuItemLink);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(MenuItemLink)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(_this), "handleMenuTap", function (e) {
      _this.props.onClick && _this.props.onClick(e);
    });
    return _this;
  }

  (0, _createClass2.default)(MenuItemLink, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          className = _this$props.className,
          primaryText = _this$props.primaryText,
          leftIcon = _this$props.leftIcon,
          leftFaIcon = _this$props.leftFaIcon,
          staticContext = _this$props.staticContext,
          props = (0, _objectWithoutProperties2.default)(_this$props, ["className", "primaryText", "leftIcon", "leftFaIcon", "staticContext"]);
      return _react.default.createElement(_ListGroupItem.default, (0, _extends2.default)({
        className: (0, _classnames.default)(className, 'border-0 rounded-0 d-flex flex-start pl-2'),
        style: {
          textDecoration: 'none',
          transition: 'all .2s ease-in-out'
        },
        action: true,
        tag: _reactRouterDom.NavLink
      }, props, {
        onClick: this.handleMenuTap
      }), leftFaIcon && _react.default.createElement(_reactFontawesome.FontAwesomeIcon, {
        icon: leftFaIcon
      }), !leftFaIcon && leftIcon && _react.default.createElement("span", {
        className: "pr-3 py-1 d-flex"
      }, (0, _react.cloneElement)(leftIcon, {
        titleAccess: primaryText
      })), primaryText);
    }
  }]);
  return MenuItemLink;
}(_react.Component);

exports.MenuItemLink = MenuItemLink;
(0, _defineProperty2.default)(MenuItemLink, "propTypes", {
  className: _propTypes.default.string,
  leftIcon: _propTypes.default.node,
  leftFaIcon: _propTypes.default.shape({
    icon: _propTypes.default.array.isRequired,
    iconName: _propTypes.default.string.isRequired,
    prefix: _propTypes.default.string.isRequired
  }),
  onClick: _propTypes.default.func,
  primaryText: _propTypes.default.string,
  staticContext: _propTypes.default.object,
  to: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.object]).isRequired
});
var _default = MenuItemLink;
exports.default = _default;