"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _HotTub = _interopRequireDefault(require("@material-ui/icons/HotTub"));

var _History = _interopRequireDefault(require("@material-ui/icons/History"));

var _compose = _interopRequireDefault(require("recompose/compose"));

var _raCore = require("ra-core");

var _Title = _interopRequireDefault(require("./Title"));

function goBack() {
  history.go(-1);
}

var NotFound = function NotFound(_ref) {
  var className = _ref.className,
      translate = _ref.translate,
      title = _ref.title,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["className", "translate", "title"]);
  return _react.default.createElement("div", (0, _extends2.default)({
    className: className
  }, rest), _react.default.createElement(_Title.default, {
    defaultTitle: title
  }), _react.default.createElement("div", null, _react.default.createElement(_HotTub.default, null), _react.default.createElement("h1", null, translate('ra.page.not_found')), _react.default.createElement("div", null, translate('ra.message.not_found'), ".")), _react.default.createElement("div", null, _react.default.createElement(_Button.default, {
    variant: "raised",
    icon: _react.default.createElement(_History.default, null),
    onClick: goBack
  }, translate('ra.action.back'))));
};

NotFound.propTypes = {
  className: _propTypes.default.string,
  title: _propTypes.default.string,
  translate: _propTypes.default.func.isRequired
};
var enhance = (0, _compose.default)(_raCore.translate);

var _default = enhance(NotFound);

exports.default = _default;
module.exports = exports.default;