"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _TitleDeprecated = _interopRequireDefault(require("./TitleDeprecated"));

var RecordTitle = function RecordTitle(_ref) {
  var defaultTitle = _ref.defaultTitle,
      record = _ref.record,
      title = _ref.title;
  return record ? _react.default.createElement(_TitleDeprecated.default, {
    title: title,
    record: record,
    defaultTitle: defaultTitle
  }) : '';
};

RecordTitle.propTypes = {
  defaultTitle: _propTypes.default.any,
  record: _propTypes.default.object,
  title: _propTypes.default.any
};
var _default = RecordTitle;
exports.default = _default;
module.exports = exports.default;