"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Table = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Table"));

var _Thead = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Table/Thead"));

var _Tr = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Table/Tr"));

var _Th = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Table/Th"));

var _Td = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Table/Td"));

var _Tbody = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Table/Tbody"));

var _FormGroup = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Form/FormGroup"));

var _FormCustom = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Form/FormCustom"));

var _Form = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Form"));

var _ExpandMore = _interopRequireDefault(require("@material-ui/icons/ExpandMore"));

var _IconButton = _interopRequireDefault(require("@material-ui/core/IconButton"));

var RawPlaceholder = function RawPlaceholder() {
  return _react.default.createElement("div", {
    className: "d-flex",
    style: {
      backgroundColor: 'lightgrey'
    }
  }, "\xA0");
};

var Placeholder = RawPlaceholder;

var times = function times(nbChildren, fn) {
  return Array.from({
    length: nbChildren
  }, function (_, key) {
    return fn(key);
  });
};

var _default = function _default(_ref) {
  var className = _ref.className,
      expand = _ref.expand,
      hasBulkActions = _ref.hasBulkActions,
      nbChildren = _ref.nbChildren,
      _ref$nbFakeLines = _ref.nbFakeLines,
      nbFakeLines = _ref$nbFakeLines === void 0 ? 5 : _ref$nbFakeLines;
  return _react.default.createElement(_Table.default, {
    className: className
  }, _react.default.createElement(_Thead.default, null, _react.default.createElement(_Tr.default, null, expand && _react.default.createElement(_Th.default, null), hasBulkActions && _react.default.createElement(_Th.default, null, _react.default.createElement(_Form.default, null, _react.default.createElement(_FormGroup.default, {
    className: "mb-0"
  }, _react.default.createElement(_FormCustom.default, {
    className: "select-all cursor-pointer",
    defaultChecked: false
  })))), times(nbChildren, function (key) {
    return _react.default.createElement(_Th.default, {
      key: key
    }, _react.default.createElement(Placeholder, null));
  }))), _react.default.createElement(_Tbody.default, null, times(nbFakeLines, function (key1) {
    return _react.default.createElement(_Tr.default, {
      key: key1,
      style: {
        opacity: 1 / (key1 + 1)
      }
    }, expand && _react.default.createElement(_Td.default, null, _react.default.createElement(_IconButton.default, {
      component: "div",
      "aria-hidden": "true"
    }, _react.default.createElement(_ExpandMore.default, null))), hasBulkActions && _react.default.createElement(_Td.default, null, _react.default.createElement(_Form.default, null, _react.default.createElement(_FormGroup.default, {
      className: "mb-0"
    }, _react.default.createElement(_FormCustom.default, {
      className: "select-all",
      defaultChecked: false
    })))), times(nbChildren, function (key2) {
      return _react.default.createElement(_Td.default, {
        key: key2
      }, _react.default.createElement(Placeholder, null));
    }));
  })));
};

exports.default = _default;
module.exports = exports.default;