"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _DropdownItem = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Dropdown/DropdownItem"));

var _raCore = require("ra-core");

var FilterButtonMenuItem = function (_Component) {
  (0, _inherits2.default)(FilterButtonMenuItem, _Component);

  function FilterButtonMenuItem() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, FilterButtonMenuItem);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(FilterButtonMenuItem)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(_this), "handleShow", function () {
      var _this$props = _this.props,
          filter = _this$props.filter,
          onShow = _this$props.onShow;
      onShow({
        source: filter.source,
        defaultValue: filter.defaultValue
      });
    });
    return _this;
  }

  (0, _createClass2.default)(FilterButtonMenuItem, [{
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          filter = _this$props2.filter,
          resource = _this$props2.resource;
      return _react.default.createElement(_DropdownItem.default, {
        className: "new-filter-item",
        "data-key": filter.source,
        "data-default-value": filter.defaultValue,
        key: filter.source,
        onClick: this.handleShow
      }, _react.default.createElement(_raCore.FieldTitle, {
        label: filter.label,
        source: filter.source,
        resource: resource
      }));
    }
  }]);
  return FilterButtonMenuItem;
}(_react.Component);

(0, _defineProperty2.default)(FilterButtonMenuItem, "propTypes", {
  filter: _propTypes.default.object.isRequired,
  onShow: _propTypes.default.func.isRequired,
  resource: _propTypes.default.string.isRequired
});
var _default = FilterButtonMenuItem;
exports.default = _default;
module.exports = exports.default;