"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _classnames = _interopRequireDefault(require("classnames"));

var _reactRouterDom = require("react-router-dom");

var LinkBs = (0, _styledComponents.default)(_reactRouterDom.Link).withConfig({
  displayName: "Link__LinkBs",
  componentId: "g99dg-0"
})(["", ""], function (props) {
  return "\n    &.router-link {\n      color: ".concat(props.theme['$brand-primary'], "; !important\n    }\n  ");
});

var Link = function Link(_ref) {
  var to = _ref.to,
      children = _ref.children,
      className = _ref.className,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["to", "children", "className"]);
  return _react.default.createElement(LinkBs, (0, _extends2.default)({
    to: to,
    className: (0, _classnames.default)(className, 'router-link')
  }, rest), children);
};

Link.propTypes = {
  className: _propTypes.default.string,
  children: _propTypes.default.node,
  to: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.object])
};
var _default = Link;
exports.default = _default;
module.exports = exports.default;