"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _CardActions = _interopRequireDefault(require("../layout/CardActions"));

var _button = require("../button");

var sanitizeRestProps = function sanitizeRestProps(_ref) {
  var basePath = _ref.basePath,
      className = _ref.className,
      hasList = _ref.hasList,
      resource = _ref.resource,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["basePath", "className", "hasList", "resource"]);
  return rest;
};

var CreateActions = function CreateActions(_ref2) {
  var basePath = _ref2.basePath,
      className = _ref2.className,
      hasList = _ref2.hasList,
      rest = (0, _objectWithoutProperties2.default)(_ref2, ["basePath", "className", "hasList"]);
  return _react.default.createElement(_CardActions.default, (0, _extends2.default)({
    className: className
  }, sanitizeRestProps(rest)), hasList && _react.default.createElement(_button.ListButton, {
    basePath: basePath
  }));
};

CreateActions.propTypes = {
  basePath: _propTypes.default.string,
  className: _propTypes.default.string,
  hasList: _propTypes.default.bool
};
var _default = CreateActions;
exports.default = _default;
module.exports = exports.default;