"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _button = require("../button");

var _CardActions = _interopRequireDefault(require("../layout/CardActions"));

var sanitizeRestProps = function sanitizeRestProps(_ref) {
  var basePath = _ref.basePath,
      className = _ref.className,
      record = _ref.record,
      hasShow = _ref.hasShow,
      hasList = _ref.hasList,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["basePath", "className", "record", "hasShow", "hasList"]);
  return rest;
};

var EditActions = function EditActions(_ref2) {
  var basePath = _ref2.basePath,
      className = _ref2.className,
      data = _ref2.data,
      hasShow = _ref2.hasShow,
      resource = _ref2.resource,
      rest = (0, _objectWithoutProperties2.default)(_ref2, ["basePath", "className", "data", "hasShow", "resource"]);
  return _react.default.createElement(_CardActions.default, (0, _extends2.default)({
    className: className
  }, sanitizeRestProps(rest)), hasShow && _react.default.createElement(_button.ShowButton, {
    basePath: basePath,
    record: data
  }));
};

EditActions.propTypes = {
  basePath: _propTypes.default.string,
  className: _propTypes.default.string,
  data: _propTypes.default.object,
  hasShow: _propTypes.default.bool,
  resource: _propTypes.default.string
};
var _default = EditActions;
exports.default = _default;
module.exports = exports.default;