"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.makeTheme = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var makeTheme = function makeTheme(userTheme) {
  var newTheme = {
    raUiBootstrapStyled: {}
  };
  var v = newTheme.raUiBootstrapStyled;
  var u = userTheme || {};
  v['$appbar-padding-x'] = u['$appbar-padding-x'] || '.25rem';
  v['$appbar-padding-y'] = u['$appbar-padding-y'] || '.75rem';
  v['$appbar-height'] = u['$appbar-height'] || '75px';
  v['$appbar-bg-color'] = u['$appbar-bg-color'] || u['$brand-primary'];
  v['$appbar-color'] = u['$appbar-color'] || u.$white;
  v['$zindex-appbar'] = u['$zindex-appbar'] || u['$zindex-navbar'];
  newTheme.raUiBootstrapStyled = v;
  return (0, _objectSpread2.default)({}, newTheme, userTheme);
};

exports.makeTheme = makeTheme;

var _default = makeTheme();

exports.default = _default;