"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.makeTheme = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var makeTheme = function makeTheme() {
  var userTheme = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var newTheme = {
    raUiBootstrapStyled: {}
  };
  var v = newTheme.raUiBootstrapStyled;
  var u = userTheme || {};
  v['$grid-breakpoints'] = u['$grid-breakpoints'] || {
    xs: '0',
    sm: '576px',
    md: '768px',
    lg: '992px',
    xl: '1200px'
  };
  newTheme.raUiBootstrapStyled = v;
  return (0, _objectSpread2.default)({}, newTheme, userTheme);
};

exports.makeTheme = makeTheme;

var _default = makeTheme();

exports.default = _default;