"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _get = _interopRequireDefault(require("lodash/get"));

var _pure = _interopRequireDefault(require("recompose/pure"));

var _A = _interopRequireDefault(require("@bootstrap-styled/v4/lib/A"));

var _sanitizeRestProps = _interopRequireDefault(require("./sanitizeRestProps"));

var EmailField = function EmailField(_ref) {
  var className = _ref.className,
      source = _ref.source,
      _ref$record = _ref.record,
      record = _ref$record === void 0 ? {} : _ref$record,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["className", "source", "record"]);
  return _react.default.createElement(_A.default, (0, _extends2.default)({
    className: className,
    href: "mailto:".concat((0, _get.default)(record, source))
  }, (0, _sanitizeRestProps.default)(rest)), (0, _get.default)(record, source));
};

EmailField.propTypes = {
  addLabel: _propTypes.default.bool,
  basePath: _propTypes.default.string,
  className: _propTypes.default.string,
  cellClassName: _propTypes.default.string,
  headerClassName: _propTypes.default.string,
  label: _propTypes.default.string,
  record: _propTypes.default.object,
  sortBy: _propTypes.default.string,
  source: _propTypes.default.string.isRequired
};
var PureEmailField = (0, _pure.default)(EmailField);
PureEmailField.defaultProps = {
  addLabel: true
};
var _default = PureEmailField;
exports.default = _default;
module.exports = exports.default;