"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.BooleanInput = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Label = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Label"));

var _Input = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Input"));

var _FormGroup = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Form/FormGroup"));

var _raCore = require("ra-core");

var _classnames = _interopRequireDefault(require("classnames"));

var _sanitizeRestProps = _interopRequireDefault(require("./sanitizeRestProps"));

var BooleanInput = function (_Component) {
  (0, _inherits2.default)(BooleanInput, _Component);

  function BooleanInput() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, BooleanInput);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(BooleanInput)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(_this), "handleChange", function (event, value) {
      _this.props.input.onChange(value);
    });
    return _this;
  }

  (0, _createClass2.default)(BooleanInput, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          className = _this$props.className,
          id = _this$props.id,
          input = _this$props.input,
          isRequired = _this$props.isRequired,
          label = _this$props.label,
          source = _this$props.source,
          resource = _this$props.resource,
          options = _this$props.options,
          rest = (0, _objectWithoutProperties2.default)(_this$props, ["className", "id", "input", "isRequired", "label", "source", "resource", "options"]);
      var value = input.value,
          inputProps = (0, _objectWithoutProperties2.default)(input, ["value"]);
      return _react.default.createElement(_FormGroup.default, (0, _extends2.default)({
        className: (0, _classnames.default)(className, 'mr-5'),
        check: true
      }, (0, _sanitizeRestProps.default)(rest)), _react.default.createElement(_Label.default, {
        check: true
      }, _react.default.createElement(_Input.default, (0, _extends2.default)({
        type: "checkbox",
        className: "mr-2",
        checked: !!value,
        onChange: this.handleChange
      }, inputProps)), _react.default.createElement(_raCore.FieldTitle, {
        label: label,
        source: source,
        resource: resource,
        isRequired: isRequired
      })));
    }
  }]);
  return BooleanInput;
}(_react.Component);

exports.BooleanInput = BooleanInput;
BooleanInput.propTypes = {
  className: _propTypes.default.string,
  id: _propTypes.default.string,
  input: _propTypes.default.object,
  isRequired: _propTypes.default.bool,
  label: _propTypes.default.string,
  resource: _propTypes.default.string,
  source: _propTypes.default.string,
  options: _propTypes.default.object
};
BooleanInput.defaultProps = {
  options: {}
};

var _default = (0, _raCore.addField)(BooleanInput);

exports.default = _default;