"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.FileInputPreview = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _compose = _interopRequireDefault(require("recompose/compose"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _IconButton = _interopRequireDefault(require("@material-ui/core/IconButton"));

var _RemoveCircle = _interopRequireDefault(require("@material-ui/icons/RemoveCircle"));

var _raCore = require("ra-core");

var FileInputPreview = function (_Component) {
  (0, _inherits2.default)(FileInputPreview, _Component);

  function FileInputPreview() {
    (0, _classCallCheck2.default)(this, FileInputPreview);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(FileInputPreview).apply(this, arguments));
  }

  (0, _createClass2.default)(FileInputPreview, [{
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      var _this$props = this.props,
          file = _this$props.file,
          revokeObjectURL = _this$props.revokeObjectURL;

      if (file.preview) {
        revokeObjectURL ? revokeObjectURL(file.preview) : window.URL.revokeObjectURL(file.preview);
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          children = _this$props2.children,
          className = _this$props2.className,
          onRemove = _this$props2.onRemove,
          revokeObjectURL = _this$props2.revokeObjectURL,
          file = _this$props2.file,
          translate = _this$props2.translate,
          rest = (0, _objectWithoutProperties2.default)(_this$props2, ["children", "className", "onRemove", "revokeObjectURL", "file", "translate"]);
      return _react.default.createElement("div", (0, _extends2.default)({
        className: className
      }, rest), _react.default.createElement(_IconButton.default, {
        onClick: onRemove,
        title: translate('ra.action.delete')
      }, _react.default.createElement(_RemoveCircle.default, null)), children);
    }
  }]);
  return FileInputPreview;
}(_react.Component);

exports.FileInputPreview = FileInputPreview;
(0, _defineProperty2.default)(FileInputPreview, "propTypes", {
  children: _propTypes.default.element.isRequired,
  className: _propTypes.default.string,
  file: _propTypes.default.object,
  onRemove: _propTypes.default.func.isRequired,
  revokeObjectURL: _propTypes.default.func
});
(0, _defineProperty2.default)(FileInputPreview, "defaultProps", {
  file: undefined,
  translate: function translate(id) {
    return id;
  }
});

var _default = (0, _compose.default)(_raCore.translate)(FileInputPreview);

exports.default = _default;