"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ImageInput = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _compose = _interopRequireDefault(require("recompose/compose"));

var _raCore = require("ra-core");

var _FileInput2 = require("./FileInput");

var ImageInput = function (_FileInput) {
  (0, _inherits2.default)(ImageInput, _FileInput);

  function ImageInput() {
    (0, _classCallCheck2.default)(this, ImageInput);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(ImageInput).apply(this, arguments));
  }

  return ImageInput;
}(_FileInput2.FileInput);

exports.ImageInput = ImageInput;
(0, _defineProperty2.default)(ImageInput, "defaultProps", (0, _objectSpread2.default)({}, _FileInput2.FileInput.defaultProps, {
  labelMultiple: 'ra.input.image.upload_several',
  labelSingle: 'ra.input.image.upload_single'
}));

var _default = (0, _compose.default)(_raCore.addField, _raCore.translate)(ImageInput);

exports.default = _default;