"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _compose = _interopRequireDefault(require("recompose/compose"));

var _raCore = require("ra-core");

var _TextInput = _interopRequireDefault(require("./TextInput"));

var SearchTextInput = (0, _styledComponents.default)(_TextInput.default).withConfig({
  displayName: "SearchInput__SearchTextInput",
  componentId: "af6w29-0"
})(["border-bottom:1px solid grey;display:flex;margin-top:32px;flex-direction:row !important;&:hover{border-bottom:2px solid black;}.form-control{border:none !important;&:focus{outline:none !important;}}"]);

var SearchInput = function SearchInput(_ref) {
  var translate = _ref.translate,
      props = (0, _objectWithoutProperties2.default)(_ref, ["translate"]);
  return _react.default.createElement(SearchTextInput, (0, _extends2.default)({
    label: false,
    className: "flex-row",
    placeholder: translate('ra.action.search')
  }, props));
};

SearchInput.propTypes = {
  translate: _propTypes.default.func
};
var enhance = (0, _compose.default)(_raCore.translate);

var _default = enhance(SearchInput);

exports.default = _default;
module.exports = exports.default;