"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.LinearProgress = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Progress = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Progress"));

var _ProgressBar = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Progress/ProgressBar"));

var LinearProgress = function LinearProgress(_ref) {
  var className = _ref.className,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["className"]);
  return _react.default.createElement(_Progress.default, (0, _extends2.default)({
    className: (0, _classnames.default)(className, 'my-2'),
    style: {
      width: '60px'
    }
  }, rest), _react.default.createElement(_ProgressBar.default, {
    valueNow: 100,
    striped: true,
    animated: true
  }));
};

exports.LinearProgress = LinearProgress;
LinearProgress.propTypes = {
  className: _propTypes.default.string
};
LinearProgress.displayName = 'LinearProgress';
var _default = LinearProgress;
exports.default = _default;