"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _CardContent = _interopRequireDefault(require("@material-ui/core/CardContent"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Responsive = _interopRequireDefault(require("./Responsive"));

var _AppBarMobile = _interopRequireDefault(require("./AppBarMobile"));

var ViewTitle = function ViewTitle(_ref) {
  var className = _ref.className,
      title = _ref.title,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["className", "title"]);

  if (process.env.NODE_ENV !== 'production') {
    console.warn('<ViewTitle> is deprecated, please use <Title> instead');
  }

  return _react.default.createElement(_Responsive.default, {
    xsmall: _react.default.createElement(_react.Fragment, null, _react.default.createElement(_AppBarMobile.default, (0, _extends2.default)({
      className: (0, _classnames.default)('title', className),
      title: title
    }, rest)), _react.default.createElement("span", null, " ")),
    medium: _react.default.createElement(_CardContent.default, (0, _extends2.default)({
      className: (0, _classnames.default)('title', className)
    }, rest), _react.default.createElement("h1", null, title))
  });
};

ViewTitle.propTypes = {
  className: _propTypes.default.string,
  title: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.element]).isRequired
};
var _default = ViewTitle;
exports.default = _default;
module.exports = exports.default;