"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = require("react");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactRedux = require("react-redux");

var _compose = _interopRequireDefault(require("recompose/compose"));

var _raCore = require("ra-core");

var BulkDeleteAction = function (_Component) {
  (0, _inherits2.default)(BulkDeleteAction, _Component);

  function BulkDeleteAction() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, BulkDeleteAction);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(BulkDeleteAction)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(_this), "componentDidMount", function () {
      if (process.env.NODE_ENV !== 'production') {
        console.warn('<BulkDeleteAction> is deprecated. Use the <BulkDeleteButton> component instead, via the bulkActionButton props.');
      }

      var _this$props = _this.props,
          basePath = _this$props.basePath,
          dispatchCrudDeleteMany = _this$props.dispatchCrudDeleteMany,
          resource = _this$props.resource,
          selectedIds = _this$props.selectedIds,
          startUndoable = _this$props.startUndoable,
          undoable = _this$props.undoable;

      if (undoable) {
        startUndoable((0, _raCore.crudDeleteMany)(resource, selectedIds, basePath));
      } else {
        dispatchCrudDeleteMany(resource, selectedIds, basePath);
      }

      _this.props.onExit();
    });
    return _this;
  }

  (0, _createClass2.default)(BulkDeleteAction, [{
    key: "render",
    value: function render() {
      return null;
    }
  }]);
  return BulkDeleteAction;
}(_react.Component);

BulkDeleteAction.propTypes = {
  basePath: _propTypes.default.string,
  dispatchCrudDeleteMany: _propTypes.default.func.isRequired,
  onExit: _propTypes.default.func.isRequired,
  resource: _propTypes.default.string.isRequired,
  startUndoable: _propTypes.default.func,
  selectedIds: _propTypes.default.arrayOf(_propTypes.default.any).isRequired,
  undoable: _propTypes.default.bool
};
var EnhancedBulkDeleteAction = (0, _compose.default)((0, _reactRedux.connect)(undefined, {
  startUndoable: _raCore.startUndoable,
  dispatchCrudDeleteMany: _raCore.crudDeleteMany
}), _raCore.translate)(BulkDeleteAction);
EnhancedBulkDeleteAction.defaultProps = {
  undoable: true
};
var _default = EnhancedBulkDeleteAction;
exports.default = _default;
module.exports = exports.default;