"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ListViewGuesser = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _inflection = _interopRequireDefault(require("inflection"));

var _raCore = require("ra-core");

var _List = require("./List");

var _listFieldTypes = _interopRequireDefault(require("./listFieldTypes"));

var ListViewGuesser = function (_Component) {
  (0, _inherits2.default)(ListViewGuesser, _Component);

  function ListViewGuesser() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, ListViewGuesser);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(ListViewGuesser)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(_this), "state", {
      inferredChild: null
    });
    return _this;
  }

  (0, _createClass2.default)(ListViewGuesser, [{
    key: "componentDidUpdate",
    value: function componentDidUpdate() {
      var _this$props = this.props,
          ids = _this$props.ids,
          data = _this$props.data,
          resource = _this$props.resource;

      if (ids.length > 0 && data && !this.state.inferredChild) {
        var inferredElements = (0, _raCore.getElementsFromRecords)(ids.map(function (id) {
          return data[id];
        }), _listFieldTypes.default);
        var inferredChild = new _raCore.InferredElement(_listFieldTypes.default.table, null, inferredElements);
        process.env.NODE_ENV !== 'production' && console.log("Guessed List:\n\nexport const ".concat(_inflection.default.capitalize(_inflection.default.singularize(resource)), "List = props => (\n    <List {...props}>\n").concat(inferredChild.getRepresentation(), "\n    </List>\n);"));
        this.setState({
          inferredChild: inferredChild.getElement()
        });
      }
    }
  }, {
    key: "render",
    value: function render() {
      return _react.default.createElement(_List.ListView, this.props, this.state.inferredChild);
    }
  }]);
  return ListViewGuesser;
}(_react.Component);

exports.ListViewGuesser = ListViewGuesser;
ListViewGuesser.propTypes = _List.ListView.propTypes;

var ListGuesser = function ListGuesser(props) {
  return _react.default.createElement(_raCore.ListController, props, function (controllerProps) {
    return _react.default.createElement(ListViewGuesser, (0, _extends2.default)({}, props, controllerProps));
  });
};

var _default = ListGuesser;
exports.default = _default;